---

- name: test
  ansible.builtin.shell:
    cmd: |
          VERSION=9.0.1; yum -y install moogsoft-server-${VERSION} \
          moogsoft-db-${VERSION} \
          moogsoft-utils-${VERSION} \
          moogsoft-search-${VERSION} \
          moogsoft-ui-${VERSION} \
          moogsoft-common-${VERSION} \
          moogsoft-mooms-${VERSION} \
          moogsoft-integrations-${VERSION} \
          moogsoft-integrations-ui-${VERSION}

- name: Edit your ~/.bashrc file
  ansible.builtin.lineinfile:
    path: ~/.bashrc
    line: |
          export MOOGSOFT_HOME=/usr/share/moogsoft
          export APPSERVER_HOME=/usr/share/apache-tomcat
          export JAVA_HOME=/usr/java/latest
          export PATH=$PATH:$MOOGSOFT_HOME/bin:$MOOGSOFT_HOME/bin/utils 

- name: Source the ~/.bashrc file
  ansible.builtin.shell:
    cmd: source ~/.bashrc

- name: Run the Percona install script
  ansible.builtin.shell:
    cmd: bash install_percona_nodes.sh -p -i 10.50.3.148

- name: Run the initialization script moog_init
  ansible.builtin.shell:
      cmd: /usr/share/moogsoft/bin/utils/moog_init.sh -I Harsh -u root -q 
  args:
    stdin: "\n\n"

- name: delete variable
  ansible.builtin.lineinfile:
    path: /usr/share/moogsoft/config/servlets.conf
    regexp: 'webhost :'
    state: absent

- name: add variable
  ansible.builtin.lineinfile:
    path: /usr/share/moogsoft/config/servlets.conf
    insertbefore : 'moogsvr:'
    line: 'webhost : "https://10.50.3.148",'

- name: restart moogfarmd
  ansible.builtin.shell:
      cmd: systemctl restart apache-tomcat moogfarmd

- name: clear
  ansible.builtin.lineinfile:
    path: /etc/opensearch/jvm.options.d/moog.options 
    state: absent
    regexp: '-Xms4g' 

- name: clear
  ansible.builtin.lineinfile:
    path: /etc/opensearch/jvm.options.d/moog.options 
    state: absent
    regexp: '-Xmx4g'


- name: configure opensearch
  ansible.builtin.lineinfile:
    path: /etc/opensearch/jvm.options.d/moog.options 
    line: |
      -Xms4g
      -Xmx4g
  
- name : restart opensearch
  ansible.builtin.shell:
    cmd: service opensearch restart

- name: tune up latency-performance
  ansible.builtin.shell:
      cmd: tuned-adm profile latency-performance